import { defineAsyncComponent, markRaw } from 'vue'

export const layouts = {
  BaseLayout: () => import('@/components/Base/Layout/SystemLayout/index.vue'),
  ViewLayout: () => import('@/components/Base/Layout/ViewLayout/index.vue'),
  LoginLayout: () => import('@/components/Base/Layout/LoginLayout/index.vue'),
}



export const staticRouters = {
  Index: () => import('@/views/index/index.vue'),
  Test: () => import('@/views/test/index.vue'),
  NotFound: defineAsyncComponent(() => import('@/views/exception/404.vue')),
  DataManage: defineAsyncComponent(() => import('@/views/dataManage/index/index.vue')),
  ModelReasoning: defineAsyncComponent(() => import('@/views/modelReasoning/index/index.vue')),
  ModelTraining: defineAsyncComponent(() => import('@/views/modelTraining/index/index.vue')),
  ModelTrainingDetail: defineAsyncComponent(() => import('@/views/modelTraining/detail/index.vue')),
  ModelManage: defineAsyncComponent(() => import('@/views/setting/model/index/index.vue')),
}

